Groovy Documentation

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class FilterToHandlerAdapter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.FilterToHandlerAdapter

    class FilterToHandlerAdapter

Adapter between a FilterConfig object and a Spring HandlerInterceptor.

Authors:
  mike
  Graeme Rocher

Property Summary
`java.lang.Object` | `actionRegex`
`java.lang.Object` | `configClass`
`java.lang.Object` | `controllerRegex`
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `filterConfig`
`java.lang.Object` | `invertRule`
`java.lang.Object` | `pathMatcher`
`java.lang.Object` | `uriPattern`
`java.lang.Object` | `urlPathHelper`
`java.lang.Object` | `useRegex`
`java.lang.Object` | `useRegexFind`

Method Summary
`boolean` | `accept(java.lang.String controllerName, java.lang.String actionName, java.lang.String uri)`
`java.lang.String` | `actionName(java.lang.Object request)` Returns the name of the action targeted by the given request.
`void` | `afterCompletion(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
`void` | `afterPropertiesSet()`
`java.lang.String` | `controllerName(java.lang.Object request)` Returns the name of the controller targeted by the given request.
`boolean` | `doesMatch(java.util.regex.Pattern pattern, java.lang.CharSequence string)`
`void` | `postHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, ModelAndView modelAndView)`
`boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o)`
`java.lang.String` | `toString()`
`java.lang.String` | `uri(HttpServletRequest request)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### actionRegex

    java.lang.Object actionRegex

### configClass

    java.lang.Object configClass

### controllerRegex

    java.lang.Object controllerRegex

### dependsOn

    java.lang.Object dependsOn

### filterConfig

    java.lang.Object filterConfig

### invertRule

    java.lang.Object invertRule

### pathMatcher

    java.lang.Object pathMatcher

### uriPattern

    java.lang.Object uriPattern

### urlPathHelper

    java.lang.Object urlPathHelper

### useRegex

    java.lang.Object useRegex

### useRegexFind

    java.lang.Object useRegexFind

Method Detail

### accept

    boolean accept(java.lang.String controllerName, java.lang.String actionName, java.lang.String uri)

### actionName

    java.lang.String actionName(java.lang.Object request)

  Returns the name of the action targeted by the given request.

### afterCompletion

    void afterCompletion(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

### afterPropertiesSet

    void afterPropertiesSet()

### controllerName

    java.lang.String controllerName(java.lang.Object request)

  Returns the name of the controller targeted by the given request.

### doesMatch

    boolean doesMatch(java.util.regex.Pattern pattern, java.lang.CharSequence string)

### postHandle

    void postHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, ModelAndView modelAndView)

### preHandle

    boolean preHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o)

### toString

    java.lang.String toString()

### uri

    java.lang.String uri(HttpServletRequest request)

Groovy Documentation